From: Julien Puydt <julien.puydt@laposte.net>
Subject: Fix typos
Forwarded: yes (Snark to Victor, 20200110 then https://github.com/libntl/ntl/issues/14, 20210907)

---
 src/FFT.cpp   | 2 +-
 src/ZZ_pX.cpp | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

--- libntl.orig/src/FFT.cpp
+++ libntl/src/FFT.cpp
@@ -467,7 +467,7 @@
 
 void UseFFTPrime(long index)
 {
-   if (index < 0) LogicError("invalud FFT prime index");
+   if (index < 0) LogicError("invalid FFT prime index");
    if (index >= NTL_MAX_FFTPRIMES) ResourceError("FFT prime index too large");
 
    if (index+1 >= NTL_NSP_BOUND) ResourceError("FFT prime index too large");
--- libntl.orig/src/ZZ_pX.cpp
+++ libntl/src/ZZ_pX.cpp
@@ -3148,7 +3148,7 @@
    long da = deg(a);
    long n = F.n;
 
-   if (n < 0) LogicError("rem: unitialized modulus");
+   if (n < 0) LogicError("rem: uninitialized modulus");
 
    if (da <= 2*n-2) {
       rem21(x, a, F);
@@ -3361,7 +3361,7 @@
    da = deg(a);
    n = F.n;
 
-   if (n < 0) LogicError("SqrMod: uninitailized modulus");
+   if (n < 0) LogicError("SqrMod: uninitialized modulus");
 
    if (da >= n) 
       LogicError("bad args to SqrMod(ZZ_pX,ZZ_pX,ZZ_pXModulus)");
